.intro-features h2 {
  margin: 0;
  line-height: 1;
  display: block;
  position: relative;
  text-align: center;
  font-weight: initial;
  text-transform: uppercase;
  color: var(--emphasis-color);
  font-family: var(--secondary-font);
  font-size: clamp(1.4em, 3.5vw, 3.8em) !important;
}

.intro-features p {
  margin: 9px 0 3em;
  text-align: center;
  color: var(--principal-color);
  font-size: clamp(11px, 1.3vw, 18px);
}

.tabs-product{padding: 0 4em;}

#wrapper {
  width: 100%;
  display: flex;
  align-items: center;
/*   margin-bottom: 9em; */
  justify-content: center;
}

.content {
  width: 100%;
  margin-top: 18px;
  min-width: 260px;
  max-width: 1700px;
  transition: 0.3s ease;
}

/* Tabs menu */
.tabs {
  margin: 0;
  display: flex;
  height: 80px;
  align-items: center;
  justify-content: space-between;
  border-radius: 2px 2px 0px 0px;
  background-image: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
}

/* Tab Links */
.tablinks {
  gap: 10px;
  /* width: 25%; */
  width: 100%;
  display: flex;
  outline: none;
  border: none;
  height: 80px;
  cursor: pointer;
  font-size: 16px;
  overflow: hidden;
  position: relative;
  align-items: center;
  transition: 0.3s ease;
  background: #2f2f2f;
  justify-content: center;
  background-image: linear-gradient(90deg, transparent 70%, rgba(255, 255, 255, 0.2) 100%);
}

.tablinks:before {
  top: 0;
  left: 0;
  z-index: 2;
  content: "";
  height: 0px;
  width: 100%;
  position: absolute;
  transition: 0.3s ease-in-out;
  background-image: linear-gradient(135deg, var(--details-bg-up) 0%, var(--details-bg-lightup) 100%);
}

.tablinks img{
  width: 35px;
  border-radius: 5px;
}

/*tab buttons hover*/
.tablinks:hover::before {
  bottom: 0;
  z-index: 2;
  height: 100%;
}

/* Tab active */
.tablinks.active {
  z-index: 0;
  bottom: 0px;
  height: 110px;
  overflow: hidden;
  border-left: 0px;
  border-right: 0px;
  background-color: #2f3244;
}

.tablinks.active:before {
  content: "";
  top: 0;
  left: 0;
  height: 5px;
  width: 100%;
}

/* Tabs text */
.tablinks.active p, .tablinks.active:hover p {
  opacity: 1;
  background: -webkit-linear-gradient(135deg, var(--details-bg-up) 20%, var(--details-bg-lightup) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.tablinks p {
  margin: 0;
  padding: 0;
  z-index: 2;
  opacity: 0.6;
  display: flex;
  color: #b3b3b3;
  font-weight: bold;
  align-items: center;
  transition: 0.5s ease;
  font-family: 'Poppins';
  justify-content: center;
  backface-visibility: hidden;
  font-size: clamp(.9em, 1.3vw, 1.5em);
}

.tablinks:hover p {
  opacity: 1;
  color: white;
}

/* Tabs text bigger */
.tablinks p:before {
  content: attr(data-title);
  top: 110%;
  z-index: -1;
  opacity: 0.1;
  color: white;
  width: auto;
  height: auto;
  display: flex;
  font-size: 40px;
  font-weight: 600;
  position: absolute;
  align-items: center;
  transition: 1s ease-out;
  justify-content: center;
}

.tablinks:hover p:before {
  top: -80%;
  opacity: 0.1;
  font-size: 40px;
}

/* tab content */
.wrapper_tabcontent {
  top: 0;
  opacity: 1;
  z-index: 1;
  margin-top: 0px;
  position: relative;
  overflow: hidden;
  padding: 40px 60px;
  transition: all 1s ease;
  background-color: #2f3244;
  border-radius: 0 0 15px 15px;
}

/* Tab content line */
.wrapper_tabcontent:after {
  content: "";
  left: 0;
  bottom: 0;
  z-index: -2;
  height: 5px;
  width: 100%;
  position: absolute;
  transition: all 1s ease;
  background-image: linear-gradient(135deg, var(--details-bg-up) 0%, var(--details-bg-lightup) 100%);
}

.tabcontent {
  display: none;
  min-height: 180px;
}

@keyframes tabEffect {
  from {top: -40px;}
  to {top: 0px;}
}

.tabcontent.active {
  transition: all 1s ease;
  display: block;
}

.tab-flex{
  gap: 10px;
  display: flex;
  align-items: center;
}

.tab-side{height: 100%;}
.tab-side:first-child{width: 30%;}
.tab-side:last-child{width: 70%;}

.gallery-side{
  width: 90%;
  display: flex;
  transition: .6s;
  flex-wrap: wrap;
  align-items: center;
  justify-items: center;
  justify-content: center;
  animation: fadeEffect 0.6s cubic-bezier(0.45, 0.05, 0.55, 0.95);
}

.gallery-side a {width: 180px;}

.gallery-side a img {
  width: 100%;
  display: block;
  aspect-ratio: 1;
  object-fit: cover;
}

.gallery-side a:nth-child(1), .gallery-side a:nth-child(1) img {border-radius: 15px 0 0 0;}
.gallery-side a:nth-child(2), .gallery-side a:nth-child(2) img {border-radius: 0 15px 0 0;}
.gallery-side a:nth-child(3), .gallery-side a:nth-child(3) img {border-radius: 0 0 0 15px;}
.gallery-side a:nth-child(4), .gallery-side a:nth-child(4) img {border-radius: 0 0 15px 0;}

/* Low Visibility Title */
.tabcontent h3 {
  margin: 0;
  top: 50%;
  padding: 0;
  left: -126px;
  opacity: 0.4;
  height: 60px;
  width: 270px;
  font-size: 40px;
  user-select: none;
  position: absolute;
  animation: title 1s ease;
  transform: rotate(90deg);
  background: -webkit-linear-gradient(135deg, var(--details-bg-up) 30%, var(--details-bg-lightup) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

@keyframes title {
  from {left: -145px;}
  to {left: -126px;}
}

/* The Content*/
.tabcontent h4, .tabcontent p, .possitive-negative {animation: fadeEffect 0.6s ease;}

.tabcontent h4{
  margin: 0 0 10px;
  line-height: 1;
  letter-spacing: 0.1px;
  color: var(--details-bg-up);
  font-size: clamp(1.4em, 3vw, 2.4em);
}

.tabcontent p {
  margin: 0;
  padding: 0;
  color: white;
  width: 100%;
  font-size: 16px;
  text-align: initial;  
  line-height: 28px;
  transition: all 1s ease;
}

.possitive-negative{
  gap: 50px;
  display: flex;
  flex-direction: row;
}

.pos-neg-side{width: 50%;}

.pos-neg-side h5{
  margin: 10px 0 0;
  font-size: clamp(1.4em, 2.5vw, 1.9em);
}

.possitive h5{color: #107c10;}
.negative h5{color: firebrick;}

.pos-neg-side h6 {
  font-size: 15px;
  margin: 20px 0 0;
}

.pos-neg-side ul {
  padding: 0;
  list-style: none;
}

.possitive li:before, .negative li:before {
  font-size: 21px;
  padding-right: 10px;
  vertical-align: middle;
  margin: 0 0 0 -26px;
}

.possitive li:before {color: #107c10 !important;}
.possitive li:before {content: "✔";}

.negative li:before {color: firebrick !important;}
.negative li:before {content: "✖";}

@keyframes fadeEffect {
  from {opacity: 0;margin-left: 30px;}
  to {opacity: 1;margin-left: 0;}
}

/* Responsive Mode */
@media (max-width: 1920px) {
  .tabs-product {
    margin: 0 auto;
    max-width: 1600px;
    width: 100%;
  }
}

@media (max-width: 1600px) {
  .tabs-product, .support, .buy {
    margin: 0 auto;
    max-width: 1450px;
  }
}

@media (max-width: 1510px) {
  .gallery-side a {width: 11vw;}
}

@media (max-width: 1440px) {
  .gallery-side{animation: none;}
}

@media (max-width: 1200px) {
  .tabs {height: 50px;}
  .tablinks.active {height: 80px;}
  .tablinks {height: 50px;}

  .tabcontent {
    height: 300px;
    max-height: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
  }

  .tabcontent p {line-height: 1.3;}
  .tab-flex {align-items: self-start;}

  .tab-side:first-child {
    top: 0;
    position: sticky;
    height: 100%;
  }
}

@media (max-width: 1024px) {
  .tabcontent p, .pos-neg-side ul {font-size: 12px;}
}

@media (max-width: 991px) {
  .wrapper_tabcontent {padding: 40px 30px;}
  .gallery-side {gap: 20px;}
  .gallery-side a {width: 90%;}

  .gallery-side a img {
    height: 100px;
    border-radius: 15px !important;
  }
}

@media (max-width: 700px) {
  .tablinks p{display: none;}
  .tabcontent p, .pos-neg-side ul {font-size: 13px;}
}

@media (max-width: 600px) {
  .content {margin-top: 5%;}
  .tabs-product {padding: 0 1.5em;}
  .tabs, .tablinks {height: 60px;}
  .tablinks.active {height: 75px;}
  .tablinks p:before {display: none;}

  .wrapper_tabcontent {padding: 15px 15px 30px;}
  .tabcontent p, .pos-neg-side ul {font-size: 12px;}
  .tab-flex {flex-direction: column-reverse;}
  .tab-side:first-child, .tab-side:last-child{width: 100%;}

  .gallery-side {
    gap: 10px;
    width: 100%;
    flex-wrap: nowrap;
    flex-direction: row;
  }

  .gallery-side a img {height: 100%;}

  .possitive-negative {
    gap: 10px;
    flex-direction: column;
  }

  .pos-neg-side {width: 100%;}

  .possitive li:before, .negative li:before {
    margin: 0;
    font-size: 13px;
  }

  .tabcontent h3 {
    top: 0;
    left: 0;
    height: auto;
    position: relative;
    transform: rotate(0deg);
  }
}
